Seccl - Store an adviser node association Run in API Explorer
Ask AI
POST
/api/v1/addons/seccl/{addon}/associate-node
curl \
--request POST 'https://api.plannrcrm.com/api/v1/addons/seccl/architecto/associate-node' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
--data '{
"associations": [
{
"adviser_uuid": "e20cc86a-98b3-4ec9-861b-db2f5ac58b1f",
"node_ids": [
"1234",
"321"
]
}
]
}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}
# Payload
{
"associations": [
{
"adviser_uuid": "e20cc86a-98b3-4ec9-861b-db2f5ac58b1f",
"node_ids": [
"1234",
"321"
]
}
]
}
Response examples (200)
{
"uuid": "aa152612-a436-4e23-9adf-5aa59e1f8f2f",
"created_at": "2026-11-17T20:47:12+00:00",
"updated_at": "2026-11-17T20:47:12+00:00",
"type": "provider_statement_mapping",
"lookupable_type": "provider",
"lookupable_uuid": "5758f2ec-f783-476a-86da-6efdff41b918",
"lookupable_value": "J Bloggs Plan",
"lookup_value": "zAbWeFVJ:Bloggs J",
"returnable_type": "plan",
"returnable_uuid": "9c55c37a-4efb-424f-8f83-07729e2c9b3a",
"returnable_value": "example",
"return_string": "Consectetur officia labore",
"return_json": {
"key_1": "value_1",
"key_2": "value_2"
},
"return_float": 70.35
}
Response examples (422)
{
"message": "The given data was invalid.",
"errors": {
"field": [
"The field is invalid."
]
}
}